#!/bin/sh if [ "$UID" -ne 0 ]; then echo >&2 "you need to be root to start live install" exit 3 fi if [ -x ./Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then dir=`pwd`/Mandrake/mdkinst elif [ -x ../../../../../Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then dir=`pwd`/../../.. else echo >&2 "unable to get a working live system to start, check your working directory" exit 2 fi /bin/rm -rf /tmp/image /bin/mkdir -m 0700 /tmp/image || exit 1 /bin/rm -rf /tmp/drakx /bin/mkdir -m 0700 /tmp/drakx || exit 2 for i in Mandrake RPMS misc boot images VERSION do /bin/ln -sf "$dir/../../$i" "/tmp/image/$i" done /bin/cp -a "$dir/../../Mandrake/mdkinst" "/tmp/drakx" if [ -x "/tmp/drakx/mdkinst/usr/bin/perl-install/live_install2" ]; then # gtk ressource for live. export GTK_DATA_PREFIX=/tmp/drakx/mdkinst/usr # get correct fonts for DrakX. if [ -n "$DISPLAY" ]; then xset +fp /tmp/drakx/mdkinst/usr/X11R6/lib/X11/fonts/ xset fp rehash fi # start DrakX, do not keep shell script in background else the CD is locked by it!!! cd /tmp/drakx/mdkinst/usr/bin/perl-install exec ../../../lib/ld-linux.so.2 ../perl ./live_install2 fi echo >&2 "unable to get a working live system to start, check your working directory" exit 2 Thierry Vignaud [tv]
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJani Välimaa <wally@mageia.org>2023-01-07 09:50:20 +0200
committerJani Välimaa <wally@mageia.org>2025-01-26 13:27:17 +0200
commitb0806e938b8e9a33783f972c89439d44e679be3e (patch)
treed26c69328c58d41e51d04d60b6c25d0b56cdff0f
parent4e623c4f54a68af82e4da8389ed1d51f6bae164d (diff)
downloadrpm-setup-b0806e938b8e9a33783f972c89439d44e679be3e.tar
rpm-setup-b0806e938b8e9a33783f972c89439d44e679be3e.tar.gz
rpm-setup-b0806e938b8e9a33783f972c89439d44e679be3e.tar.bz2
rpm-setup-b0806e938b8e9a33783f972c89439d44e679be3e.tar.xz
rpm-setup-b0806e938b8e9a33783f972c89439d44e679be3e.zip
macros.gnome: really add to dist
(cherry picked from commit 3a00f9bd05ee8df5c6c2013a7f44d45f65291394)
Diffstat
-rw-r--r--Makefile.am3
-rw-r--r--NEWS1
-rw-r--r--macros.gnome.in (renamed from macros.gnome)0
3 files changed, 3 insertions, 1 deletions
diff --git a/Makefile.am b/Makefile.am
index 8a94c89..a7ac04e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -9,7 +9,8 @@ pkg_gdata = \
pkg_data_in = $(pkg_gdata:=.in)
-pkg_macrosd = build.macros
+pkg_macrosd = build.macros \
+ macros.gnome
pkg_macrosd_in = $(pkg_macrosd:=.in)
diff --git a/NEWS b/NEWS
index 5028d1d..385443d 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,4 @@
+- macros.gnome: really add to dist
- add macros.gnome to introduce %url_ver and %tarball_version macros
Version 2.57 - 23 June 2020, by Thierry Vignaud
diff --git a/macros.gnome b/macros.gnome.in
index cb38bd0..cb38bd0 100644
--- a/macros.gnome
+++ b/macros.gnome.in